Merger
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.fusion.mergers
Class Merger<PARAMS extends FusionParameters>

    java.lang.Object
      org.gcube.dir.master.fusion.mergers.Merger<PARAMS>

Direct Known Subclasses:
  RankingMerger, RoundRobinMerger

    public abstract class Merger<PARAMS extends FusionParameters>

extends java.lang.Object

Partial implementation for collection merging algorithms.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`Merger()`

Method Summary
`PARAMS` | `getParams()` Returns the input parameters.
`CollectionSet` | `getSet()` Returns the target `CollectionSet`
`abstract RSXMLWriter` | `merge()` Returns a writer to the merged resultset.
`RSXMLWriter` | `merge(PARAMS params, CollectionSet set)` Returns a writer to the resultset of merged results.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Merger

    public Merger()

Method Detail

### getSet

    public CollectionSet getSet()

  Returns the target `CollectionSet`

  Returns:
    the set.

### getParams

    public PARAMS getParams()

  Returns the input parameters.

  Returns:
    the parameters.

### merge

    public final RSXMLWriter merge(PARAMS params,
                                   CollectionSet set)
                            throws java.lang.Exception

  Returns a writer to the resultset of merged results. It dispatches to `merge()` for the actual merging process.

  Parameters:
    `params` - the input to the merge process.
    `the` - target `CollectionSet`.
  Returns:
    the writer.
  Throws:
    `java.lang.Exception` - if the query results could not be merged.
  See Also:
    `merge();`

### merge

    public abstract RSXMLWriter merge()
                               throws java.lang.Exception

  Returns a writer to the merged resultset. Override in accordance with merge semantics.

  Returns:
    the writer.
  Throws:
    `java.lang.Exception` - if the query results could not be merged.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD